Name: gnucash
Version: 1.8.9
Release: alt3

Summary: GnuCash is an application to keep track of your finances
Summary(ru_RU.KOI8-R):  ޣ  GnuCash

License: GPL
Group: Office
Url: http://www.gnucash.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.gnucash.org/pub/gnucash/sources/stable/%name-%version.tar.bz2
Source1: %name-48.xpm.bz2
Source2: %name-32.xpm.bz2
Source3: %name-16.xpm.bz2
Source4: %name-%version.ru.po
Source5: %name-README.RU
Source6: %name-%version-1.diff.bz2

Patch0: %name-gconfd.patch


Requires: lib%name = %version-%release

Requires: gnome-libs >= 1.2.0, gdk-pixbuf >= 0.2.5, gnome-print >= 0.21
Requires: guile16 >= 1.6, gtkhtml >= 0.8
Requires: g-wrap >= 1.3.4, libgal >= 0.13
Requires: libglade
Requires: perl(English.pm) perl(FileHandle.pm) perl(lib.pm) perl-base
Requires: slib-guile

# We should add ssl support to this one
#Requires: libghttp, readline, libbonobo, GConf, libunicode, liboaf

# Automatically added by buildreq on Sun May 23 2004
BuildRequires: ORBit-devel XFree86-devel XFree86-libs doxygen esound-devel freetype2-devel g-wrap gcc-c++ gdk-pixbuf-devel gdk-pixbuf-gnomecanvas glib-devel glib2 gnome-libs-devel graphviz gtk+-devel guile16-devel hostinfo imlib-devel libGConf-devel libaudiofile-devel libbonobo-devel libdb1-devel libdb4.2-devel libg-wrap-devel libgal-devel libghttp-devel libglade-devel libglade-gnome libgnomeprint-devel libgtkhtml-devel libguppi-devel libltdl-devel libpopt-devel libpq3-devel libreadline-devel libstdc++-devel libxml-devel oaf-devel perl-XML-Parser pkgconfig postgresql-devel slib zlib-devel

BuildRequires: libg-wrap-devel >= 1.3.4
BuildRequires: libgal-devel >= 0.13
BuildRequires: libgnomeprint-devel
BuildRequires: slib-guile
#BuildRequires: Guppi
BuildRequires: libgtkhtml
#BuildPreReq: python-devel = 2.3

AutoReq: yes, noperl


#%add_findreq_skiplist %_bindir/dump-finance-quote

# Check whether GnuCash should be build with or without the Postgres backend.
# When building GnuCash, pass "--with postgres" or "--without postgres"
# options, as in
#    rpmbuild --without postgres -bb gnucash.spec
%if "%_with_postgres" == "--without-postgres"
	%define BUILD_WITH_POSTGRES 0
	#%%define sql_config --disable-sql
%else
	%define BUILD_WITH_POSTGRES 1
	%define sql_config --enable-maintainer-mode --enable-sql
%endif

%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.

%description -l ru_RU.KOI8-R
GnuCash --    .  ޣ
         
  ,  ,   
  .     
̣  ,      
      .

%if %BUILD_WITH_POSTGRES
%package backend-postgres
Summary: Backend for storing GnuCash data in a PostgreSQL database
Summary(ru_RU.KOI8-R):     GnuCash    PostgreSQL
Group: Office
Requires: %name = %version
Requires: postgresql >= 7.1.3

%description backend-postgres
This package contains a backend for storing your GnuCash accounts and
transactions in a PostgreSQL database.  Install this package if you
want to keep your financial data in a database instead of a flat file
(recommended for large volumes of data and commercial sites).

%description backend-postgres -l ru_RU.KOI8-R
         GnuCash
   PostgreSQL.    ,   
     ,     
(   ߣ    ).
%endif

%package -n lib%name-devel
Group: Development/C
Summary: Libraries needed to develop for gnucash
Summary(ru_RU.KOI8-R): ,     gnucash
Requires: lib%name = %version
Obsoletes: %name-devel

%description -n lib%name-devel
Libraries needed to develop for gnucash.
%description -n lib%name-devel -l ru_RU.KOI8-R
,     gnucash.

%package -n lib%name
Summary: Libraries for gnucash
Group: System/Libraries

%add_findprov_lib_path %_libdir/%name

%description -n lib%name
This package provides libraries to use gnucash.


%description -n lib%name -l ru_RU.KOI8-R
  ,  gnucash.

%prep
%setup -q
%patch -p0
bzcat %SOURCE6 | %__patch -p1

%__subst 's|SUBDIRS = . test|SUBDIRS =|' src/gnc-module/Makefile.in
%__subst "s|{GNOMEUI_LIBS}|{GNOMEUI_LIBS} -L/usr/X11R6/lib|g" src/register/register-gnome/Makefile.in src/business/business-gnome/Makefile.in
#%__subst "s|SUBDIRS = . test|SUBDIRS = .|g" src/import-export/qif-import/Makefile.in

cp -f %SOURCE4 po/ru.po
cp -f %SOURCE5 README_koi8-r.txt

%if %BUILD_WITH_POSTGRES
#automake src/backend/postgres/Makefile
%endif

%build

%configure %sql_config --disable-guppi --disable-libguppi-test

%make_build

%install

%make_install DESTDIR=$RPM_BUILD_ROOT install
# install again: fix unknown problem with libgw-business-core.so
cd src/business/business-core
make clean
%make_install DESTDIR=$RPM_BUILD_ROOT install
cd -

cp -p src/backend/postgres/README README.postgres

%find_lang %name --with-gnome

# Icons
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
bzcat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.xpm
bzcat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.xpm

# Menu entry
mkdir -p $RPM_BUILD_ROOT/%_menudir
cat >$RPM_BUILD_ROOT/%_menudir/%name <<EOF
?package(%name): command="%_bindir/%name" \\
icon="%name.xpm" needs="X11" \\
section="Applications/Finances" \\
genericname="accounting system" \\
title="GnuCash" \\
longtitle="GnuCash Personal finance manager"
EOF

%post
%update_menus

%postun
%clean_menus

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%if %BUILD_WITH_POSTGRES
%files backend-postgres
%_libdir/%name/libgncmod-backend-postgres*
%doc README.postgres
%endif

%files -n lib%name-devel
#%_bindir/gnucash-make-guids
%_includedir/%name
%_datadir/aclocal/gnucash.m4

%files -n lib%name
%_libdir/lib*.so.*
%_libdir/%name/lib*so*.0
%_libdir/%name/overrides
#%_libdir/*.la
%_libdir/%name/*.la
%_libdir/*.so
%_libdir/%name/*.so
# hbci 
#%exclude %_libdir/%name/libgncmod-hbci*

%files -f %name.lang
%doc doc
#%doc html
#%_datadir/gnome/help/gnucash
%config %_sysconfdir/%name
%_bindir/*
%dir %_datadir/%name
%_datadir/%name/finance-quote-helper
%_datadir/%name/finance-quote-check
%_datadir/%name/doc
%_datadir/%name/glade
#%_datadir/%name/html
%_datadir/%name/accounts
%_datadir/%name/guile-modules
%_datadir/%name/scm
%_datadir/gnome/apps/Applications/%name.desktop
%_datadir/pixmaps/%name
%_infodir/*
%_mandir/man1/*
%doc AUTHORS ChangeLog ChangeLog.1 HACKING NEWS README README.patches
%doc doc/README.german doc/README.francais doc/guile-hackers.txt
%doc README_koi8-r.txt
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm
%_menudir/%name
%_datadir/mime-info/%name.*
# hbci 
#%exclude %_datadir/%name/glade/hbci*
#%exclude %_datadir/%name/scm/hbci/*

%changelog
* Wed Jun 02 2004 Vitaly Lipatov <lav@altlinux.ru> 1.8.9-alt3
- rebuild with ugly fix of libgw-business-core install
- change menu entry to Applications/Finances

* Thu May 27 2004 Vitaly Lipatov <lav@altlinux.ru> 1.8.9-alt2.1
- rebuild with rebuilt libglade

* Sun May 23 2004 Vitaly Lipatov <lav@altlinux.ru> 1.8.9-alt2
- build with rebuilt gnome1 libraries
- remove python requiring

* Wed Apr 28 2004 Vitaly Lipatov <lav@altlinux.ru> 1.8.9-alt1
- new version
- applied full diff patch from debian unstable (due dlopen problem)

* Wed Jan 14 2004 Vitaly Lipatov <lav@altlinux.ru> 1.8.8-alt3
- update ru.po
- move .so files from -devel to libgnucash for dynamic linking purposes
- change require python to universal way (without version)
- remove COPYING from doc

* Sat Jan 03 2004 Vitaly Lipatov <lav@altlinux.ru> 1.8.8-alt2
- build without *.la files
- build with gcc3.3
- disable guppi support

* Thu Dec 04 2003 Vitaly Lipatov <lav@altlinux.ru> 1.8.8-alt1
- new version
- build with Guppi
- add autostart gconfd-1 before gnucash in start script

* Mon Oct 06 2003 Vitaly Lipatov <lav@altlinux.ru> 1.8.7-alt1
- new version
- disable autoreq for perl and set it manually

* Sun Jun 22 2003 Vitaly Lipatov <lav@altlinux.ru> 1.8.4-alt1
- new version

* Mon Mar 24 2003 Vitaly Lipatov <lav@altlinux.ru> 1.8.2-alt1
- new version
- postgres backend enabled
- update russian translation

* Sun Jan 26 2003 Vitaly Lipatov <lav@altlinux.ru> 1.7.8-alt1
- new version

* Mon Jan 06 2003 Vitaly Lipatov <lav@altlinux.ru> 1.7.7-alt1
- new version
- Warning: Be careful with RUB currency (use RUR instead) in your file.
- update russian translation
- postgres disabled via build problems
- add needed binaries in file section
- add README_koi8-r.txt
- cleanup spec

* Sat Dec 14 2002 Vitaly Lipatov <lav@altlinux.ru> 1.7.5-alt1
- gnucash-devel rename to libgnucash-devel
- spec cleanup
- add Postgres support package (untested)
- new version
- update ru.po

* Mon Nov 04 2002 Vitaly Lipatov <lav@altlinux.ru> 1.7.2-alt2
- remove dependences on libtermcap
- update russian translation

* Fri Nov 01 2002 Vitaly Lipatov <lav@altlinux.ru> 1.7.2-alt1
- new version
- spec updated

* Mon Feb 18 2002 AEN <aen@logic.ru> 1.6.5-alt3
- ru.po updates from Vitaly Lipatov

* Tue Jan 22 2002 AEN <aen@logic.ru> 1.6.5-alt2
- rebuilt with new Guppi

* Mon Jan 14 2002 AEN <aen@logic.ru> 1.6.5-alt1
- new version

* Wed Dec 05 2001 AEN <aen@logic.ru> 1.6.4-alt5
- rebuilt with gtkhtml-1.0.0

* Wed Nov 21 2001 AEN <aen@logic.ru> 1.6.4-alt4
- rebuild with libguppi-0.40.2

* Fri Nov 09 2001 AEN <aen@logicru> 1.6.4-alt3
- rebuilt with new gal

* Thu Nov 1 2001 AEN <aen@logic.ru> 1.6.4-alt2
- rebuild in new environment

* Fri Oct 12 2001 AEN <aen@logic.ru> 1.6.4-alt1
- new version

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.8-1mdk
- new version 1.4.8
- added buildconflicts with libxml2-devel

* Mon Oct  9 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.7-2mdk
- added /usr/lib/gnucash/perl/* library files
- added la files in devel
- added man pages
- added requirement in devel
- gnucash.so is needed in the *normal* package because of swig
- moved libgncengine.so from devel to normal, just in case...

* Mon Oct  2 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.7-1mdk
- new version

* Tue Sep 12 2000  <rchaillat@bi.mandrakesoft.com> 1.4.6-1mdk
- new version

* Thu Aug 31 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.5-2mdk
- added comment about g-wrap
- added menu file

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.5-1mdk
- went back to stable releases
- macroszification
- corrected icons
- added some more BuildRequires (xpm, guile-devel)
- specfile clean-up
- split application and devel packages

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.5.0-1mdk
- Updated version

* Tue Jul 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.2-3mdk
- Repaired missing libs

* Mon Jul 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.2-1mdk
- Updated version / release 2 hours ago.

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.1-1mdk
- Updated version

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.1-5mdk
- Give full path when using convert.
- BuildPrereq: /usr/bin/convert.
- Regenerate libtoolize everywhere there is a configure.
- BuildRequires: eperl swig.

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-4mdk

- Patched to compile with perl 5.6.0

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-3mdk

- Icon for menu entry
- Rebuilt on kenobi

* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 1.3.1-2mdk

- Menu'ized, changed group to Office (was: Applications/Finance)

* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com>

- First RPM for Mandrake

* Mon Feb 29 2000 Christian Schaller <Uraues@linuxrising.org>
- Updated for use with TurboLinux and some minor SPEC changes
